Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Update a post

PUT/posts/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Post ID or slug
Request body
requiredapplication/json
titlestring
bodystring
publishedboolean
published_onstring<date-time>
Responses
200Post updated
_linksHalLinks
idinteger
shop_idinteger
titlestring
slugstring
bodystring
descriptionstring
short_descriptionstring
publishedboolean
There is no `status` field — this is a boolean.
published_onstring<date-time>
formatstring
Allowed:htmlmarkdown
user_idinteger
created_onstring<date-time>
updated_onstring<date-time>
Request
curl -X PUT "https://api.onbolder.com/v2/posts/string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "string",
  "body": "string",
  "published": true,
  "published_on": "2019-08-24T14:15:22Z"
}'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "title": "string",
  "slug": "string",
  "body": "string",
  "description": "string",
  "short_description": "string",
  "published": true,
  "published_on": "2019-08-24T14:15:22Z",
  "format": "html",
  "user_id": 0,
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}